summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/Manifest1
-rw-r--r--dev-ruby/activesupport/activesupport-7.1.1.ebuild78
-rw-r--r--dev-ruby/net-imap/Manifest1
-rw-r--r--dev-ruby/net-imap/net-imap-0.3.7.ebuild2
-rw-r--r--dev-ruby/net-imap/net-imap-0.4.1.ebuild39
-rw-r--r--dev-ruby/racc/Manifest1
-rw-r--r--dev-ruby/racc/racc-1.7.1.ebuild61
-rw-r--r--dev-ruby/rack-session/rack-session-1.0.1.ebuild2
-rw-r--r--dev-ruby/rack-session/rack-session-2.0.0.ebuild2
9 files changed, 184 insertions, 3 deletions
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index f0aadf928c7f..fa6de2d11e0d 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -4,3 +4,4 @@ DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
DIST rails-7.1.0.tgz 10869663 BLAKE2B b6bda46d861da68caba103ca161be93fd600fe218f797eae0294ee2280e82164469a1573b12dac8c01b7c640bec9f05e308ed2e47c9f9dd79ac42b05ee0c563a SHA512 99bb1255a62e4ebbb800780b12e2b0bce94bd4ac1639f03adb2fbcd06535f9f6965b4ebb3f289874fccb8d5c73ed83c285b04f100d1bda6d7e9c9759d41c893e
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/activesupport/activesupport-7.1.1.ebuild b/dev-ruby/activesupport/activesupport-7.1.1.ebuild
new file mode 100644
index 000000000000..a60c561e4a43
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.1.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# bigdecimal and mutex_m are bundled with ruby as default gems
+ruby_add_rdepend "
+ dev-ruby/base64
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/connection_pool-2.2.5
+ dev-ruby/drb
+ >=dev-ruby/i18n-1.6:1
+ >=dev-ruby/minitest-5.1
+ dev-ruby/tzinfo:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack:3.0
+ dev-ruby/rexml
+ dev-ruby/mocha
+ >dev-ruby/minitest-5.15.0:*
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|execjs\|jquery-rails\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\|cgi\|net-smtp\|net-imap\|net-pop\|digest\|matrix\|web-console\|error_highlight\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/^group :test/,/^end/ s:^:#:' \
+ -e '/^\s*group :\(db\|doc\|rubocop\|job\|cable\|lint\|storage\|ujs\|test\|view\) do/,/^\s*end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/net-imap/Manifest b/dev-ruby/net-imap/Manifest
index ccd09b3c586c..5a2765aba17a 100644
--- a/dev-ruby/net-imap/Manifest
+++ b/dev-ruby/net-imap/Manifest
@@ -1,4 +1,5 @@
DIST net-imap-0.3.4.tar.gz 103226 BLAKE2B b08ee0ad9ad788c1a58e583b3e71cef6e13f6c4f35cc1a67909715a30b0797987f71b1a790e0ca3a2a4b0da3b23ac2451c5e0fb8217506eb0e050c2c2c624362 SHA512 ced2433212738e1c54b783602dc8ed79b0d6fabef0d830d12e4d1a8b7f1df896596499a4b986dab1ac8e1e389bf88f87c854ceafbe57b7ad1cf5c0db29223ba1
DIST net-imap-0.3.6.tar.gz 138760 BLAKE2B b67ee9518ccd76f39cdf533564d94c70aac2e0ad7f52880d890828a0b478e27c0a6ddda251badddcded0d77d746f4263ae4a47c12f32fad94d1134afbeb47780 SHA512 6b8113aa41946d42efca117ea2af309a47ebe516dec3d127351762b473f9f507778cfe4c2c2a4a61e2522cb2c63ca013270f5e940564c2f1bf09ba194f0648d3
DIST net-imap-0.3.7.tar.gz 138906 BLAKE2B d6bc143d3947ec8a97cd7e0628e05447574f83296c78275dc7414d9cc744e820bcb6b8917de9215152be8b6141f69d4d6a1ea9e2265791eb4989dcdcce09b10c SHA512 6917d3bd980bbca86938232a59104dd924ffe7ec2f095e8c997165c726ada8020c821b26a0e8748433df49cf8802c4a434c805bd27f415d1f2644ddea1a94db8
+DIST net-imap-0.4.1.tar.gz 196263 BLAKE2B 90b6341c35263b01c6227b694decdea1bab0d7c8f2afd6c9d74ac25281202d0d39614fb517476a4a294fbc4fd1e236c065d3e415e36827b902e7224e482431b2 SHA512 f3b600bd52f554661db449fb5846d7a82713e1cda5211262e4b6326713d1b6e5e6a9294d47dcc27245450bbf97f5fcd94cf93f222ffe4098b5ead6a465cf5e22
DIST rfc3454.txt 138684 BLAKE2B 56c850a7f5782c1447ae633ad9a380253b97925b9edeadbeb9001f4905157c353db967125dfb3bfef1e1bc2297142e5db424cb3b1325837ab4bb05db1f0f92a9 SHA512 79a85fede7df9202cbaf3fbb0bd59d951352c56208da2adf0baa5571ad92fd2153a6348000994b733c8a1bfdc93c38c86ed33708ecdef8571f20f906564384b6
diff --git a/dev-ruby/net-imap/net-imap-0.3.7.ebuild b/dev-ruby/net-imap/net-imap-0.3.7.ebuild
index e4e4ef92087c..45b4fa04ed39 100644
--- a/dev-ruby/net-imap/net-imap-0.3.7.ebuild
+++ b/dev-ruby/net-imap/net-imap-0.3.7.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha ~amd64 arm arm64 hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE=""
ruby_add_rdepend "
diff --git a/dev-ruby/net-imap/net-imap-0.4.1.ebuild b/dev-ruby/net-imap/net-imap-0.4.1.ebuild
new file mode 100644
index 000000000000..ff9ad346395a
--- /dev/null
+++ b/dev-ruby/net-imap/net-imap-0.4.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="net-imap.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby client api for Internet Message Access Protocol"
+HOMEPAGE="https://github.com/ruby/net-imap"
+SRC_URI="https://github.com/ruby/net-imap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/date
+ dev-ruby/net-protocol
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/digest
+ dev-ruby/strscan
+ dev-ruby/test-unit
+ dev-ruby/test-unit-ruby-core
+)"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/racc/Manifest b/dev-ruby/racc/Manifest
index 966d0c74a819..0c055c1588b0 100644
--- a/dev-ruby/racc/Manifest
+++ b/dev-ruby/racc/Manifest
@@ -1,2 +1,3 @@
DIST racc-1.6.2.tar.gz 470740 BLAKE2B c21e01cd7a11573774218ba97de3f58ebdbc4b138def4dfb2620b626d68e71a72f66a7e7f7644707942d4ec5f387b848aa00aa1d7dd81fc98f50b1c23ce118cb SHA512 ef577d0da440361702d15cf2127142e57d5af4146f120cd9d94ee8c8b4380810c8913c373a9969f09b50e0850a8ac04ffd22729c4abdab0670765c7379b549f6
DIST racc-1.7.0.tar.gz 472347 BLAKE2B 329761dcdde47180e15f0ceea09b071c2387569364690ff4dc76631c4f3a5c8d8e5482fdc9a451c9c521fb902007c0974d6596287e73f5e9bf8b51f59a31e09d SHA512 8a198a73132f8a97468aaf2078d493899473cefd67cb8065e2d3f35730577e98cd19682e6d4b0f8a2347c77edfb9acfc5649a527c6361a47ae836c3ec2d01085
+DIST racc-1.7.1.tar.gz 460849 BLAKE2B 88caea7f176111678ee7245af72c8689912d413b400c0299da9239d245d0e4d06511e554cbf00f0b9b248baff240d359492fa9c7bbc623d693ef54d135d6ed35 SHA512 266e4cc81bebe5d7331d42f9e2becc3c02c8fd15b5d70d424d04d37ffea35c802c382e88933cfb0f80331c3504b39ab4c59308c9a86de57a8fc7a8bae9d20882
diff --git a/dev-ruby/racc/racc-1.7.1.ebuild b/dev-ruby/racc/racc-1.7.1.ebuild
new file mode 100644
index 000000000000..bc1bfd4f7a78
--- /dev/null
+++ b/dev-ruby/racc/racc-1.7.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc README.ja.rdoc TODO ChangeLog"
+
+RUBY_FAKEGEM_GEMSPEC="racc.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/racc/cparse/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/racc/cparse"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A LALR(1) parser generator for Ruby"
+HOMEPAGE="https://github.com/ruby/racc"
+SRC_URI="https://github.com/ruby/racc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "virtual/ruby-ssl"
+
+ruby_add_bdepend "dev-ruby/rake
+ test? ( dev-ruby/minitest dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -i -e 's/, :isolate//' Rakefile || die
+ sed -i -e '/bundler/ s:^:#:' -e '/rdoc/,/^end/ s:^:#:' Rakefile || die
+
+ # Avoid depending on rake-compiler since we don't use it to compile
+ # the extension.
+ sed -i -e '/rake-compiler/ s:^:#:' -e '/extensiontask/ s:^:#:' Rakefile || die
+ sed -i -e '/ExtensionTask/,/^ end/ s:^:#:' Rakefile || die
+
+ # ...which means we need to generate the parser file here
+ for ruby in $(ruby_get_use_implementations) ; do
+ if has_version -b "virtual/rubygems[ruby_targets_${ruby}(-)]" &&
+ has_version -b "dev-ruby/rake[ruby_targets_${ruby}(-)]" ; then
+ ${ruby} -S rake lib/racc/parser-text.rb || die
+ break
+ fi
+ done
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r doc
+
+ docinto examples
+ dodoc -r sample
+}
diff --git a/dev-ruby/rack-session/rack-session-1.0.1.ebuild b/dev-ruby/rack-session/rack-session-1.0.1.ebuild
index e4c7e12f1dbb..4949351e778e 100644
--- a/dev-ruby/rack-session/rack-session-1.0.1.ebuild
+++ b/dev-ruby/rack-session/rack-session-1.0.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/rack/rack-session/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
ruby_add_rdepend "<dev-ruby/rack-3"
diff --git a/dev-ruby/rack-session/rack-session-2.0.0.ebuild b/dev-ruby/rack-session/rack-session-2.0.0.ebuild
index c05efde0d682..b5a00dbba97d 100644
--- a/dev-ruby/rack-session/rack-session-2.0.0.ebuild
+++ b/dev-ruby/rack-session/rack-session-2.0.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/rack/rack-session/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/rack-3.0.0"